# Interface LibraryElements

All Superinterfaces:
  `Named`

public interface LibraryElements extends Named
Attribute representing the technical elements of a library variant.

Since:
  5.6

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface Named

  `Named.Namer`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CLASSES`
  The JVM classes format
  `static final String`
  `CLASSES_AND_RESOURCES`
  The JVM class files and resources
  `static final String`
  `DYNAMIC_LIB`
  Dynamic libraries for native modules
  `static final String`
  `HEADERS_CPLUSPLUS`
  Header files for C++
  `static final String`
  `JAR`
  The JVM archive format
  `static final Attribute<LibraryElements>`
  `LIBRARY_ELEMENTS_ATTRIBUTE`
  Of.
  `static final String`
  `LINK_ARCHIVE`
  Link archives for native modules
  `static final String`
  `OBJECTS`
  Objects for native modules
  `static final String`
  `RESOURCES`
  JVM resources

- ## Method Summary

  ### Methods inherited from interface Named

  `getName`

- ## Field Details

  - ### LIBRARY_ELEMENTS_ATTRIBUTE

    static final Attribute<LibraryElements> LIBRARY_ELEMENTS_ATTRIBUTE
    Of.
    Since:
      5.6

  - ### CLASSES

    static final String CLASSES
    The JVM classes format
    Since:
      5.6
    See Also:
      - Constant Field Values

  - ### JAR

    static final String JAR
    The JVM archive format
    Since:
      5.6
    See Also:
      - Constant Field Values

  - ### RESOURCES

    static final String RESOURCES
    JVM resources
    Since:
      5.6
    See Also:
      - Constant Field Values

  - ### CLASSES_AND_RESOURCES

    static final String CLASSES_AND_RESOURCES
    The JVM class files and resources
    Since:
      5.6
    See Also:
      - Constant Field Values

  - ### HEADERS_CPLUSPLUS

    static final String HEADERS_CPLUSPLUS
    Header files for C++
    Since:
      5.6
    See Also:
      - Constant Field Values

  - ### LINK_ARCHIVE

    static final String LINK_ARCHIVE
    Link archives for native modules
    Since:
      5.6
    See Also:
      - Constant Field Values

  - ### OBJECTS

    static final String OBJECTS
    Objects for native modules
    Since:
      5.6
    See Also:
      - Constant Field Values

  - ### DYNAMIC_LIB

    static final String DYNAMIC_LIB
    Dynamic libraries for native modules
    Since:
      5.6
    See Also:
      - Constant Field Values